sigmlinlib

## Class BroadcastSiGMLInputService

- java.lang.Object
- - sigmlinlib.BroadcastSiGMLInputService

- All Implemented Interfaces:
    SegmentAcceptor, SiGMLSegmentSynchAcceptor

      public class BroadcastSiGMLInputService
      extends java.lang.Object
      implements SiGMLSegmentSynchAcceptor

  Input service for Broadcast SiGML: it accepts synchronized delivery of a stream of SiGML segments on a specified UDP port, and passes these segments on to a given `StringStreamHandler`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BroadcastSiGMLInputService(StringStreamHandler sshdlr, Logging lggr)`
    `BroadcastSiGMLInputService(StringStreamHandler sshdlr, Logging lggr, int bsbaseport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptErrorReport(java.lang.String msg)`
    `void` | `acceptSegment(java.lang.String sgmt)`
    `void` | `acceptStarter()`
    `void` | `acceptTerminator(long tclk)`
    `void` | `doAcceptStarter()`
    `void` | `kill()`
    `void` | `setTimer(TimeKeeper timer)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BroadcastSiGMLInputService

          public BroadcastSiGMLInputService(StringStreamHandler sshdlr,
                                            Logging lggr)

    - #### BroadcastSiGMLInputService

          public BroadcastSiGMLInputService(StringStreamHandler sshdlr,
                                            Logging lggr,
                                            int bsbaseport)

  - ### Method Detail

    - #### acceptErrorReport

          public void acceptErrorReport(java.lang.String msg)

      Specified by:
        `acceptErrorReport` in interface `SegmentAcceptor`

    - #### setTimer

          public void setTimer(TimeKeeper timer)

      Specified by:
        `setTimer` in interface `SiGMLSegmentSynchAcceptor`

    - #### acceptStarter

          public void acceptStarter()

      Specified by:
        `acceptStarter` in interface `SegmentAcceptor`

    - #### acceptTerminator

          public void acceptTerminator(long tclk)

      Specified by:
        `acceptTerminator` in interface `SegmentAcceptor`

    - #### acceptSegment

          public void acceptSegment(java.lang.String sgmt)

      Specified by:
        `acceptSegment` in interface `SegmentAcceptor`

    - #### kill

          public void kill()

    - #### doAcceptStarter

          public void doAcceptStarter()